# -*- coding: utf-8 -*-

from django.conf.urls import url

from . import views

urlpatterns = [
    url(
        r'^category/$',
        views.CategoryList.as_view(),
        name='category_list',
    ),
    url(
        r'^unit-type/$',
        views.UnitTypeList.as_view(),
        name='unit_type_list',
    ),
    url(
        r'^product/(?P<slug>[\w-]+)/$',
        views.ProductRetrieve.as_view(),
        name='product_retrieve',
    ),
    url(
        r'^product/$',
        views.ProductList.as_view(),
        name='product_list',
    ),
    url(
        r'^media/$',
        views.MediaList.as_view(),
        name='media_list',
    ),
    url(
        r'^product-color/$',
        views.ProductColorList.as_view(),
        name='product_color_list',
    ),
    url(
        r'^product-size/$',
        views.ProductSizeList.as_view(),
        name='product_size_list',
    ),
]
