# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models
import thux.product.models


class Migration(migrations.Migration):

    dependencies = [
        ('product', '0006_auto_20161204_0147'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='media',
            options={'ordering': ('ordering', 'product__name', 'id'), 'verbose_name': 'media', 'verbose_name_plural': 'media', 'permissions': (('list_media', 'Can list media'), ('detail_media', 'Can detail media'))},
        ),
        migrations.AlterModelOptions(
            name='product',
            options={'ordering': ('ordering', 'name'), 'verbose_name': 'product', 'verbose_name_plural': 'products', 'permissions': (('list_product', 'Can list product'), ('detail_product', 'Can detail product'), ('disable_product', 'Can disable product'))},
        ),
        migrations.AlterModelOptions(
            name='productcategory',
            options={'ordering': ('ordering', 'name'), 'verbose_name': 'product category', 'verbose_name_plural': 'product categories', 'permissions': (('list_productcategory', 'Can list product category'), ('detail_productcategory', 'Can detail product category'), ('disable_productcategory', 'Can disable product category'))},
        ),
        migrations.AlterModelOptions(
            name='unittype',
            options={'ordering': ('ordering', 'name'), 'verbose_name': 'unit', 'verbose_name_plural': 'units', 'permissions': (('list_unittype', 'Can list unit type'), ('detail_unittype', 'Can detail unit type'), ('disable_unittype', 'Can disable unit type'))},
        ),
        migrations.AlterField(
            model_name='media',
            name='media',
            field=models.ImageField(upload_to=thux.product.models.get_upload_media_path, null=True, verbose_name='media', blank=True),
        ),
    ]
